package Repository;

import Model.IVehicle;

public interface IRepository {
    public void add(IVehicle vehicle) throws IllegalArgumentException;
    public void remove(int index) throws IllegalArgumentException;
    public IVehicle[] getAll();
    public int getSize();
}
